Advertisement
Baconator31337

PwnedHub Errors

Nov 2nd, 2022
84
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 6.25 KB | None | 0 0
  1. Error tracebacks to investigate:
  2.  
  3. ERROR in app: Exception on /tools/execute/1 [POST]
  4. Traceback (most recent call last):
  5. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 2447, in wsgi_app
  6. response = self.full_dispatch_request()
  7. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1952, in full_dispatch_request
  8. rv = self.handle_user_exception(e)
  9. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1821, in handle_user_exception
  10. reraise(exc_type, exc_value, tb)
  11. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/_compat.py", line 39, in reraise
  12. raise value
  13. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1950, in full_dispatch_request
  14. rv = self.dispatch_request()
  15. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1936, in dispatch_request
  16. return self.view_functions[rule.endpoint](**req.view_args)
  17. File "/srv/www/pwnedhub/pwnedhub/decorators.py", line 31, in wrapped
  18. return func(*args, **kwargs)
  19. File "/srv/www/pwnedhub/pwnedhub/decorators.py", line 45, in wrapped
  20. return func(*args, **kwargs)
  21. File "/srv/www/pwnedhub/pwnedhub/views/core.py", line 401, in tools_execute
  22. p = subprocess.Popen([cmd, args], stdout=subprocess.PIPE, stderr=subprocess.PIPE, shell=True, env=env)
  23. File "/usr/lib/python3.8/subprocess.py", line 858, in __init__
  24. self._execute_child(args, executable, preexec_fn, close_fds,
  25. File "/usr/lib/python3.8/subprocess.py", line 1639, in _execute_child
  26. self.pid = _posixsubprocess.fork_exec(
  27. ValueError: embedded null byte
  28.  
  29. ---
  30.  
  31. ERROR in app: Exception on /artifacts/create [POST]
  32. Traceback (most recent call last):
  33. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 2447, in wsgi_app
  34. response = self.full_dispatch_request()
  35. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1952, in full_dispatch_request
  36. rv = self.handle_user_exception(e)
  37. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1821, in handle_user_exception
  38. reraise(exc_type, exc_value, tb)
  39. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/_compat.py", line 39, in reraise
  40. raise value
  41. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1950, in full_dispatch_request
  42. rv = self.dispatch_request()
  43. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1936, in dispatch_request
  44. return self.view_functions[rule.endpoint](**req.view_args)
  45. File "/srv/www/pwnedhub/pwnedhub/decorators.py", line 31, in wrapped
  46. return func(*args, **kwargs)
  47. File "/srv/www/pwnedhub/pwnedhub/decorators.py", line 45, in wrapped
  48. return func(*args, **kwargs)
  49. File "/srv/www/pwnedhub/pwnedhub/views/core.py", line 326, in artifacts_create
  50. doc = etree.fromstring(xml, parser)
  51. File "src/lxml/etree.pyx", line 3237, in lxml.etree.fromstring
  52. File "src/lxml/parser.pxi", line 1896, in lxml.etree._parseMemoryDocument
  53. File "src/lxml/parser.pxi", line 1784, in lxml.etree._parseDoc
  54. File "src/lxml/parser.pxi", line 1141, in lxml.etree._BaseParser._parseDoc
  55. File "src/lxml/parser.pxi", line 615, in lxml.etree._ParserContext._handleParseResultDoc
  56. File "src/lxml/parser.pxi", line 725, in lxml.etree._handleParseResult
  57. File "src/lxml/parser.pxi", line 654, in lxml.etree._raiseParseError
  58. File "<string>", line 1
  59. lxml.etree.XMLSyntaxError: Start tag expected, '<' not found, line 1, column 1
  60.  
  61. ---
  62.  
  63. ERROR in app: Exception on /${#context['com.opensymphony.xwork2.dispatcher.ServletContext'].getResource('/').toURI().resolve('http://v40xdoxajy07w36vnbhh2akpjgphdf194x1kr8g.oastify.com.').toURL().hashCode()}/pwnedhub.js [GET]
  64. Traceback (most recent call last):
  65. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1950, in full_dispatch_request
  66. rv = self.dispatch_request()
  67. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1936, in dispatch_request
  68. return self.view_functions[rule.endpoint](**req.view_args)
  69. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/helpers.py", line 1083, in send_static_file
  70. return send_from_directory(
  71. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/helpers.py", line 767, in send_from_directory
  72. raise NotFound()
  73. werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.
  74.  
  75. During handling of the above exception, another exception occurred:
  76.  
  77. Traceback (most recent call last):
  78. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 2447, in wsgi_app
  79. response = self.full_dispatch_request()
  80. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1952, in full_dispatch_request
  81. rv = self.handle_user_exception(e)
  82. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1816, in handle_user_exception
  83. return self.handle_http_exception(e)
  84. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/app.py", line 1744, in handle_http_exception
  85. return handler(e)
  86. File "/srv/www/pwnedhub/pwnedhub/views/errors.py", line 39, in not_found
  87. return render_template_string(template), 404
  88. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/flask/templating.py", line 155, in render_template_string
  89. return _render(ctx.app.jinja_env.from_string(source), context, ctx.app)
  90. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/jinja2/environment.py", line 941, in from_string
  91. return cls.from_code(self, self.compile(source), globals, None)
  92. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/jinja2/environment.py", line 638, in compile
  93. self.handle_exception(source=source_hint)
  94. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/jinja2/environment.py", line 832, in handle_exception
  95. reraise(*rewrite_traceback_stack(source=source))
  96. File "/srv/www/pwnedhub/venv/lib/python3.8/site-packages/jinja2/_compat.py", line 28, in reraise
  97. raise value.with_traceback(tb)
  98. File "<unknown>", line 5, in template
  99. jinja2.exceptions.TemplateSyntaxError: Missing end of comment tag
  100.  
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement